Package org.apache.sling.launchpad.testservices.handlers

# Class AbstractHandler

java.lang.Object
org.apache.sling.launchpad.testservices.handlers.AbstractHandler

All Implemented Interfaces:
  `org.apache.jackrabbit.server.io.IOHandler`, `org.apache.jackrabbit.server.io.PropertyHandler`

Direct Known Subclasses:
  `TestHandler1`, `TestHandler2`, `TestHandler3`

public abstract class AbstractHandler extends Object implements org.apache.jackrabbit.server.io.IOHandler, org.apache.jackrabbit.server.io.PropertyHandler
This handler can export only if the path given in the context contains the handler name.

## Constructor Summary

Constructors
Constructor
Description
`AbstractHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canExport(org.apache.jackrabbit.server.io.ExportContext context, boolean b)`
`boolean`
`canExport(org.apache.jackrabbit.server.io.ExportContext context, org.apache.jackrabbit.webdav.DavResource davResource)`
`boolean`
`canExport(org.apache.jackrabbit.server.io.PropertyExportContext context, boolean b)`
`boolean`
`canImport(org.apache.jackrabbit.server.io.ImportContext context, boolean b)`
`boolean`
`canImport(org.apache.jackrabbit.server.io.ImportContext context, org.apache.jackrabbit.webdav.DavResource davResource)`
`boolean`
`canImport(org.apache.jackrabbit.server.io.PropertyImportContext context, boolean b)`
`boolean`
`exportContent(org.apache.jackrabbit.server.io.ExportContext context, boolean b)`
`boolean`
`exportContent(org.apache.jackrabbit.server.io.ExportContext context, org.apache.jackrabbit.webdav.DavResource davResource)`
`boolean`
`exportProperties(org.apache.jackrabbit.server.io.PropertyExportContext context, boolean b)`
`abstract String`
`getHandlerName()`
`String`
`getIdentifier()`
`org.apache.jackrabbit.server.io.IOManager`
`getIOManager()`
`String`
`getName()`
`boolean`
`importContent(org.apache.jackrabbit.server.io.ImportContext context, boolean b)`
`boolean`
`importContent(org.apache.jackrabbit.server.io.ImportContext context, org.apache.jackrabbit.webdav.DavResource davResource)`
`Map<? extends org.apache.jackrabbit.webdav.property.PropEntry,?>`
`importProperties(org.apache.jackrabbit.server.io.PropertyImportContext context, boolean b)`
`boolean`
`matches(String path)`
`void`
`setIOManager(org.apache.jackrabbit.server.io.IOManager ioManager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractHandler

public AbstractHandler()

## Method Details

### getIOManager

public org.apache.jackrabbit.server.io.IOManager getIOManager()

Specified by:
  `getIOManager` in interface `org.apache.jackrabbit.server.io.IOHandler`

### setIOManager

public void setIOManager(org.apache.jackrabbit.server.io.IOManager ioManager)

Specified by:
  `setIOManager` in interface `org.apache.jackrabbit.server.io.IOHandler`

### getName

public String getName()

Specified by:
  `getName` in interface `org.apache.jackrabbit.server.io.IOHandler`

### canImport

public boolean canImport(org.apache.jackrabbit.server.io.ImportContext context, org.apache.jackrabbit.webdav.DavResource davResource)

Specified by:
  `canImport` in interface `org.apache.jackrabbit.server.io.IOHandler`

### canImport

public boolean canImport(org.apache.jackrabbit.server.io.ImportContext context, boolean b)

Specified by:
  `canImport` in interface `org.apache.jackrabbit.server.io.IOHandler`

### importContent

public boolean importContent(org.apache.jackrabbit.server.io.ImportContext context, org.apache.jackrabbit.webdav.DavResource davResource) throws IOException

Specified by:
  `importContent` in interface `org.apache.jackrabbit.server.io.IOHandler`
Throws:
  `IOException`

### importContent

public boolean importContent(org.apache.jackrabbit.server.io.ImportContext context, boolean b) throws IOException

Specified by:
  `importContent` in interface `org.apache.jackrabbit.server.io.IOHandler`
Throws:
  `IOException`

### canExport

public boolean canExport(org.apache.jackrabbit.server.io.ExportContext context, boolean b)

Specified by:
  `canExport` in interface `org.apache.jackrabbit.server.io.IOHandler`

### canExport

public boolean canExport(org.apache.jackrabbit.server.io.ExportContext context, org.apache.jackrabbit.webdav.DavResource davResource)

Specified by:
  `canExport` in interface `org.apache.jackrabbit.server.io.IOHandler`

### exportContent

public boolean exportContent(org.apache.jackrabbit.server.io.ExportContext context, org.apache.jackrabbit.webdav.DavResource davResource) throws IOException

Specified by:
  `exportContent` in interface `org.apache.jackrabbit.server.io.IOHandler`
Throws:
  `IOException`

### exportContent

public boolean exportContent(org.apache.jackrabbit.server.io.ExportContext context, boolean b) throws IOException

Specified by:
  `exportContent` in interface `org.apache.jackrabbit.server.io.IOHandler`
Throws:
  `IOException`

### canExport

public boolean canExport(org.apache.jackrabbit.server.io.PropertyExportContext context, boolean b)

Specified by:
  `canExport` in interface `org.apache.jackrabbit.server.io.PropertyHandler`

### exportProperties

public boolean exportProperties(org.apache.jackrabbit.server.io.PropertyExportContext context, boolean b) throws javax.jcr.RepositoryException

Specified by:
  `exportProperties` in interface `org.apache.jackrabbit.server.io.PropertyHandler`
Throws:
  `javax.jcr.RepositoryException`

### canImport

public boolean canImport(org.apache.jackrabbit.server.io.PropertyImportContext context, boolean b)

Specified by:
  `canImport` in interface `org.apache.jackrabbit.server.io.PropertyHandler`

### importProperties

public Map<? extends org.apache.jackrabbit.webdav.property.PropEntry,?> importProperties(org.apache.jackrabbit.server.io.PropertyImportContext context, boolean b) throws javax.jcr.RepositoryException

Specified by:
  `importProperties` in interface `org.apache.jackrabbit.server.io.PropertyHandler`
Throws:
  `javax.jcr.RepositoryException`

### getIdentifier

public String getIdentifier()

### matches

public boolean matches(String path)

### getHandlerName

public abstract String getHandlerName()